## WDA Set Data Format request WDA Set Data Format request |

## Functions

QmiMessageWdaSetDataFormatInput * | qmi_message_wda_set_data_format_input_new ()
QmiMessageWdaSetDataFormatInput * | qmi_message_wda_set_data_format_input_ref ()
void | qmi_message_wda_set_data_format_input_unref ()
gboolean | qmi_message_wda_set_data_format_input_get_endpoint_info ()
gboolean | qmi_message_wda_set_data_format_input_set_endpoint_info ()
gboolean | qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_max_size ()
gboolean | qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_max_size ()
gboolean | qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_max_datagrams ()
gboolean | qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_max_datagrams ()
gboolean | qmi_message_wda_set_data_format_input_get_ndp_signature ()
gboolean | qmi_message_wda_set_data_format_input_set_ndp_signature ()
gboolean | qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_protocol ()
gboolean | qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_protocol ()
gboolean | qmi_message_wda_set_data_format_input_get_uplink_data_aggregation_protocol ()
gboolean | qmi_message_wda_set_data_format_input_set_uplink_data_aggregation_protocol ()
gboolean | qmi_message_wda_set_data_format_input_get_link_layer_protocol ()
gboolean | qmi_message_wda_set_data_format_input_set_link_layer_protocol ()
gboolean | qmi_message_wda_set_data_format_input_get_qos_format ()
gboolean | qmi_message_wda_set_data_format_input_set_qos_format ()
QmiMessageWdaSetDataFormatOutput * | qmi_message_wda_set_data_format_output_ref ()
void | qmi_message_wda_set_data_format_output_unref ()
gboolean | qmi_message_wda_set_data_format_output_get_result ()
gboolean | qmi_message_wda_set_data_format_output_get_qos_format ()
gboolean | qmi_message_wda_set_data_format_output_get_link_layer_protocol ()
gboolean | qmi_message_wda_set_data_format_output_get_uplink_data_aggregation_protocol ()
gboolean | qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_protocol ()
gboolean | qmi_message_wda_set_data_format_output_get_ndp_signature ()
gboolean | qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_max_datagrams ()
gboolean | qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_max_size ()
void | qmi_client_wda_set_data_format ()
QmiMessageWdaSetDataFormatOutput * | qmi_client_wda_set_data_format_finish ()

## Types and Values

| QmiMessageWdaSetDataFormatInput
| QmiMessageWdaSetDataFormatOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdaSetDataFormatInput
        ╰── QmiMessageWdaSetDataFormatOutput

## Description

## Functions

### qmi_message_wda_set_data_format_input_new ()

    QmiMessageWdaSetDataFormatInput *
    qmi_message_wda_set_data_format_input_new
                                   (void);

Allocates a new QmiMessageWdaSetDataFormatInput.

#### Returns

the newly created QmiMessageWdaSetDataFormatInput. The returned value should be freed with `qmi_message_wda_set_data_format_input_unref()`.

Since: 1.10

### qmi_message_wda_set_data_format_input_ref ()

    QmiMessageWdaSetDataFormatInput *
    qmi_message_wda_set_data_format_input_ref
                                   (QmiMessageWdaSetDataFormatInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_wda_set_data_format_input_unref ()

    void
    qmi_message_wda_set_data_format_input_unref
                                   (QmiMessageWdaSetDataFormatInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |

Since: 1.10

### qmi_message_wda_set_data_format_input_get_endpoint_info ()

    gboolean
    qmi_message_wda_set_data_format_input_get_endpoint_info
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiDataEndpointType *value_endpoint_info_endpoint_type,
                                    guint32 *value_endpoint_info_interface_number,
                                    GError **error);

Get the 'Endpoint Info' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_endpoint_info_endpoint_type | a placeholder for the output QmiDataEndpointType, or `NULL` if not required. |
value_endpoint_info_interface_number | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wda_set_data_format_input_set_endpoint_info ()

    gboolean
    qmi_message_wda_set_data_format_input_set_endpoint_info
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiDataEndpointType value_endpoint_info_endpoint_type,
                                    guint32 value_endpoint_info_interface_number,
                                    GError **error);

Set the 'Endpoint Info' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_endpoint_info_endpoint_type | a QmiDataEndpointType. |
value_endpoint_info_interface_number | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_max_size ()

    gboolean
    qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_max_size
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    guint32 *value_downlink_data_aggregation_max_size,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Size' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_downlink_data_aggregation_max_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_max_size ()

    gboolean
    qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_max_size
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    guint32 value_downlink_data_aggregation_max_size,
                                    GError **error);

Set the 'Downlink Data Aggregation Max Size' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_downlink_data_aggregation_max_size | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_max_datagrams ()

    gboolean
    qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_max_datagrams
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    guint32 *value_downlink_data_aggregation_max_datagrams,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Datagrams' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_downlink_data_aggregation_max_datagrams | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_max_datagrams ()

    gboolean
    qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_max_datagrams
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    guint32 value_downlink_data_aggregation_max_datagrams,
                                    GError **error);

Set the 'Downlink Data Aggregation Max Datagrams' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_downlink_data_aggregation_max_datagrams | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_get_ndp_signature ()

    gboolean
    qmi_message_wda_set_data_format_input_get_ndp_signature
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    guint32 *value_ndp_signature,
                                    GError **error);

Get the 'NDP Signature' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_ndp_signature | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_ndp_signature ()

    gboolean
    qmi_message_wda_set_data_format_input_set_ndp_signature
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    guint32 value_ndp_signature,
                                    GError **error);

Set the 'NDP Signature' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_ndp_signature | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_set_data_format_input_get_downlink_data_aggregation_protocol
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiWdaDataAggregationProtocol *value_downlink_data_aggregation_protocol,
                                    GError **error);

Get the 'Downlink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_downlink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_set_data_format_input_set_downlink_data_aggregation_protocol
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiWdaDataAggregationProtocol value_downlink_data_aggregation_protocol,
                                    GError **error);

Set the 'Downlink Data Aggregation Protocol' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_downlink_data_aggregation_protocol | a QmiWdaDataAggregationProtocol. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_get_uplink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_set_data_format_input_get_uplink_data_aggregation_protocol
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiWdaDataAggregationProtocol *value_uplink_data_aggregation_protocol,
                                    GError **error);

Get the 'Uplink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_uplink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_uplink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_set_data_format_input_set_uplink_data_aggregation_protocol
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiWdaDataAggregationProtocol value_uplink_data_aggregation_protocol,
                                    GError **error);

Set the 'Uplink Data Aggregation Protocol' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_uplink_data_aggregation_protocol | a QmiWdaDataAggregationProtocol. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_get_link_layer_protocol ()

    gboolean
    qmi_message_wda_set_data_format_input_get_link_layer_protocol
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiWdaLinkLayerProtocol *value_link_layer_protocol,
                                    GError **error);

Get the 'Link Layer Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_link_layer_protocol | a placeholder for the output QmiWdaLinkLayerProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_link_layer_protocol ()

    gboolean
    qmi_message_wda_set_data_format_input_set_link_layer_protocol
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    QmiWdaLinkLayerProtocol value_link_layer_protocol,
                                    GError **error);

Set the 'Link Layer Protocol' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_link_layer_protocol | a QmiWdaLinkLayerProtocol. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_get_qos_format ()

    gboolean
    qmi_message_wda_set_data_format_input_get_qos_format
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    gboolean *value_qos_format,
                                    GError **error);

Get the 'QoS Format' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_qos_format | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_input_set_qos_format ()

    gboolean
    qmi_message_wda_set_data_format_input_set_qos_format
                                   (QmiMessageWdaSetDataFormatInput *self,
                                    gboolean value_qos_format,
                                    GError **error);

Set the 'QoS Format' field in the message.

#### Parameters

self | a QmiMessageWdaSetDataFormatInput. |
value_qos_format | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_ref ()

    QmiMessageWdaSetDataFormatOutput *
    qmi_message_wda_set_data_format_output_ref
                                   (QmiMessageWdaSetDataFormatOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_wda_set_data_format_output_unref ()

    void
    qmi_message_wda_set_data_format_output_unref
                                   (QmiMessageWdaSetDataFormatOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |

Since: 1.10

### qmi_message_wda_set_data_format_output_get_result ()

    gboolean
    qmi_message_wda_set_data_format_output_get_result
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_qos_format ()

    gboolean
    qmi_message_wda_set_data_format_output_get_qos_format
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    gboolean *value_qos_format,
                                    GError **error);

Get the 'QoS Format' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_qos_format | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_link_layer_protocol ()

    gboolean
    qmi_message_wda_set_data_format_output_get_link_layer_protocol
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    QmiWdaLinkLayerProtocol *value_link_layer_protocol,
                                    GError **error);

Get the 'Link Layer Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_link_layer_protocol | a placeholder for the output QmiWdaLinkLayerProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_uplink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_set_data_format_output_get_uplink_data_aggregation_protocol
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    QmiWdaDataAggregationProtocol *value_uplink_data_aggregation_protocol,
                                    GError **error);

Get the 'Uplink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_uplink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_protocol
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    QmiWdaDataAggregationProtocol *value_downlink_data_aggregation_protocol,
                                    GError **error);

Get the 'Downlink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_downlink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_ndp_signature ()

    gboolean
    qmi_message_wda_set_data_format_output_get_ndp_signature
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    guint32 *value_ndp_signature,
                                    GError **error);

Get the 'NDP Signature' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_ndp_signature | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_max_datagrams ()

    gboolean
    qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_max_datagrams
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    guint32 *value_downlink_data_aggregation_max_datagrams,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Datagrams' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_downlink_data_aggregation_max_datagrams | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_max_size ()

    gboolean
    qmi_message_wda_set_data_format_output_get_downlink_data_aggregation_max_size
                                   (QmiMessageWdaSetDataFormatOutput *self,
                                    guint32 *value_downlink_data_aggregation_max_size,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Size' field from `self` .

#### Parameters

self | a QmiMessageWdaSetDataFormatOutput. |
value_downlink_data_aggregation_max_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_client_wda_set_data_format ()

    void
    qmi_client_wda_set_data_format (QmiClientWda *self,
                                    QmiMessageWdaSetDataFormatInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Data Format request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wda_set_data_format_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWda. |
input | a QmiMessageWdaSetDataFormatInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.10

### qmi_client_wda_set_data_format_finish ()

    QmiMessageWdaSetDataFormatOutput *
    qmi_client_wda_set_data_format_finish (QmiClientWda *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_wda_set_data_format()`.

#### Parameters

self | a QmiClientWda. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wda_set_data_format()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdaSetDataFormatOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wda_set_data_format_output_unref()`.

Since: 1.10

## Types and Values

### QmiMessageWdaSetDataFormatInput

    typedef struct _QmiMessageWdaSetDataFormatInput QmiMessageWdaSetDataFormatInput;

The QmiMessageWdaSetDataFormatInput structure contains private data and should only be accessed using the provided API.

Since: 1.10

### QmiMessageWdaSetDataFormatOutput

    typedef struct _QmiMessageWdaSetDataFormatOutput QmiMessageWdaSetDataFormatOutput;

The QmiMessageWdaSetDataFormatOutput structure contains private data and should only be accessed using the provided API.

Since: 1.10